/*
 * Copyright(C) 2007 t-doi,All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.amritaj;

import java.io.StringWriter;

public class HelloWorldPage {
	public String getBody() {
		return "Hello AmritaJ!";
	}
	
	public static void main(String[] args) {
		TemplateText template = new TemplateText("<p id='body'>Hello World!</p>");
		StringWriter result = new StringWriter();
		
		template.expand(result, new HelloWorldPage());
		
		System.out.println(result.toString());
	}

}
